Categories:
  - Multimedia
  - Money
License: MIT
SourceCode: https://github.com/lbryio/lbry-fdroid
IssueTracker: https://github.com/lbryio/lbry-fdroid/issues

AutoName: LBRY

RepoType: git
Repo: https://github.com/lbryio/lbry-fdroid

Builds:
  - versionName: 0.15.12
    versionCode: 15122
    commit: v0.15.12-fdroid
    subdir: app
    gradle:
      - __64bit
    rm:
      - .gitsecret/keys/random_seed
    prebuild:
      - sed "/lbryio/d" -i ../build.gradle
      - sed -r "s:29.0.1:29.0.2:" -i build.gradle
    ndk: r21d

  - versionName: 0.15.14
    versionCode: 15141
    commit: v0.15.14-fdroid
    subdir: app
    gradle:
      - __32bit
    rm:
      - .gitsecret/keys/random_seed
    prebuild:
      - sed "/lbryio/d" -i ../build.gradle
      - sed -r "s:29.0.1:29.0.2:" -i build.gradle
      - sed "/firebase/d" -i build.gradle
      - sed "/gms/d" -i build.gradle
      - sed "/GoogleServicesPlugin/d" -i build.gradle
    ndk: r21d

  - versionName: 0.15.14
    versionCode: 15142
    commit: v0.15.14-fdroid
    subdir: app
    gradle:
      - __64bit
    rm:
      - .gitsecret/keys/random_seed
    prebuild:
      - sed "/lbryio/d" -i ../build.gradle
      - sed -r "s:29.0.1:29.0.2:" -i build.gradle
      - sed "/firebase/d" -i build.gradle
      - sed "/gms/d" -i build.gradle
      - sed "/GoogleServicesPlugin/d" -i build.gradle
    ndk: r21d

  - versionName: 0.15.16
    versionCode: 15161
    commit: v0.15.16-fdroid
    subdir: app
    gradle:
      - __32bit
    rm:
      - .gitsecret/keys/random_seed
    prebuild:
      - sed -r "s:29.0.1:29.0.2:" -i build.gradle
      - sed "/firebase/d" -i build.gradle
      - sed "/gms/d" -i build.gradle
      - sed "/GoogleServicesPlugin/d" -i build.gradle
    ndk: r21d
    antifeatures:
      - Tracking

  - versionName: 0.15.16
    versionCode: 15162
    commit: v0.15.16-fdroid
    subdir: app
    gradle:
      - __64bit
    rm:
      - .gitsecret/keys/random_seed
    prebuild:
      - sed -r "s:29.0.1:29.0.2:" -i build.gradle
      - sed "/firebase/d" -i build.gradle
      - sed "/gms/d" -i build.gradle
      - sed "/GoogleServicesPlugin/d" -i build.gradle
    ndk: r21d
    antifeatures:
      - Tracking

  - versionName: 0.16.1
    versionCode: 16012
    commit: v0.16.1-fdroid
    subdir: app
    gradle:
      - __64bit
    rm:
      - .gitsecret/keys/random_seed
    prebuild:
      - sed -r "s:29.0.1:29.0.2:" -i build.gradle
      - sed "/firebase/d" -i build.gradle
      - sed "/gms/d" -i build.gradle
      - sed "/GoogleServicesPlugin/d" -i build.gradle
    ndk: r21d
    antifeatures:
      - Tracking

MaintainerNotes: |-
    +0: - (upstream)
    +1: armv7
    +2: armv8 (CV)

AutoUpdateMode: Version v%v-fdroid
UpdateCheckMode: Tags v\d+.\d+.\d+-fdroid
VercodeOperation: '%c*10 + 2'
CurrentVersion: 0.16.1
CurrentVersionCode: 16012
